---
id: credentialissuermetadata
title: "CredentialIssuerMetadata"
description: ""
sidebar_label: "CredentialIssuerMetadata"
hide_title: true
hide_table_of_contents: true
schema: true
sample: {"credential_issuer":"https://issuer.example.com","authorization_servers":["https://auth.example.com"],"token_endpoint":"https://issuer.example.com/token","credential_endpoint":"https://issuer.example.com/credential","batch_credential_endpoint":"https://issuer.example.com/batch","deferred_credential_endpoint":"https://issuer.example.com/deferred","notification_endpoint":"https://issuer.example.com/notify","credential_response_encryption":{"alg_values_supported":["RSA-OAEP"],"enc_values_supported":["A256GCM"],"encryption_required":true},"credential_identifiers_supported":true,"signed_metadata":"signed-metadata-sample","display":[{"name":"Logo Display","locale":"en-US","logo":{"uri":"https://example.com/logo.png","alt_text":"Logo alt text"}}],"credential_configurations_supported":{"config-id":{"format":"jwt_vc_json","@context":["https://www.w3.org/2018/credentials/v1"],"scope":"openid","cryptographic_binding_methods_supported":["method1","method2"],"credential_signing_alg_values_supported":["RS256","ES256"],"proof_types_supported":{"example":{"proof_signing_alg_values_supported":["RS256"]}},"credential_definition":{"@context":["https://www.w3.org/2018/credentials/v1"],"type":["VerifiableCredential"],"credentialSubject":{"id":{"mandatory":true,"value_type":"string","display":[{"name":"ID","locale":"en-US"}]}}},"display":[{"name":"Extended Display Name","locale":"en-US","description":"Extended display description","background_color":"#ffffff","background_image":{"uri":"https://example.com/background.png"},"text_color":"#000000","logo":{"uri":"https://example.com/logo.png","alt_text":"Logo alt text"}}]}}}
custom_edit_url: null
---

import Schema from "@theme/Schema";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"CredentialIssuerMetadata"}
>
</Heading>





<Schema
  schema={{"type":"object","properties":{"credential_issuer":{"type":"string","example":"https://issuer.example.com"},"authorization_servers":{"example":["https://auth.example.com"],"type":"array","items":{"type":"string"}},"token_endpoint":{"type":"string","example":"https://issuer.example.com/token"},"credential_endpoint":{"type":"string","example":"https://issuer.example.com/credential"},"batch_credential_endpoint":{"type":"string","example":"https://issuer.example.com/batch"},"deferred_credential_endpoint":{"type":"string","example":"https://issuer.example.com/deferred"},"notification_endpoint":{"type":"string","example":"https://issuer.example.com/notify"},"credential_response_encryption":{"example":{"alg_values_supported":["RSA-OAEP"],"enc_values_supported":["A256GCM"],"encryption_required":true},"allOf":[{"type":"object","properties":{"alg_values_supported":{"example":["RSA-OAEP"],"type":"array","items":{"type":"string"}},"enc_values_supported":{"example":["A256GCM"],"type":"array","items":{"type":"string"}},"encryption_required":{"type":"boolean","example":true}},"required":["alg_values_supported","enc_values_supported","encryption_required"],"title":"CredentialResponseEncryption"}]},"credential_identifiers_supported":{"type":"boolean","example":true},"signed_metadata":{"type":"string","example":"signed-metadata-sample"},"display":{"example":[{"name":"Logo Display","locale":"en-US","logo":{"uri":"https://example.com/logo.png","alt_text":"Logo alt text"}}],"type":"array","items":{"type":"object","properties":{"name":{"type":"string","example":"Display Name"},"locale":{"type":"string","example":"en-US"},"logo":{"example":{"uri":"https://example.com/logo.png","alt_text":"Logo alt text"},"allOf":[{"type":"object","properties":{"uri":{"type":"string","example":"https://example.com/image.png"},"alt_text":{"type":"string","example":"Logo alt text"}},"required":["uri"],"title":"Logo"}]}},"title":"LogoDisplay"}},"credential_configurations_supported":{"type":"object","additionalProperties":{"type":"object","properties":{"format":{"type":"string","example":"jwt_vc_json"},"@context":{"example":["https://www.w3.org/2018/credentials/v1"],"type":"array","items":{"type":"string"}},"scope":{"type":"string","example":"openid"},"cryptographic_binding_methods_supported":{"example":["method1","method2"],"type":"array","items":{"type":"string"}},"credential_signing_alg_values_supported":{"example":["RS256","ES256"],"type":"array","items":{"type":"string"}},"proof_types_supported":{"type":"object","additionalProperties":{"type":"object","properties":{"proof_signing_alg_values_supported":{"type":"array","items":{"type":"string"}}}},"example":{"proof_signing_alg_values_supported":["RS256"]}},"credential_definition":{"example":{"@context":["https://www.w3.org/2018/credentials/v1"],"type":["VerifiableCredential"],"credentialSubject":{"id":{"mandatory":true,"value_type":"string","display":[{"name":"ID","locale":"en-US"}]}}},"allOf":[{"type":"object","properties":{"@context":{"example":["https://www.w3.org/2018/credentials/v1"],"type":"array","items":{"type":"string"}},"type":{"example":["VerifiableCredential"],"type":"array","items":{"type":"string"}},"credentialSubject":{"example":{"id":{"mandatory":true,"value_type":"string","display":[{"name":"ID","locale":"en-US"}]}},"allOf":[{"type":"object","properties":{},"title":"CredentialSubjectDefinition"}]}},"required":["@context","type"],"title":"CredentialDefinition"}]},"display":{"example":[{"name":"Extended Display Name","locale":"en-US","description":"Extended display description","background_color":"#ffffff","background_image":{"uri":"https://example.com/background.png"},"text_color":"#000000","logo":{"uri":"https://example.com/logo.png","alt_text":"Logo alt text"}}],"type":"array","items":{"type":"object","properties":{"name":{"type":"string","example":"Extended Display Name"},"locale":{"type":"string","example":"en-US"},"logo":{"example":{"uri":"https://example.com/logo.png","alt_text":"Logo alt text"},"allOf":[{"type":"object","properties":{"uri":{"type":"string","example":"https://example.com/image.png"},"alt_text":{"type":"string","example":"Logo alt text"}},"required":["uri"],"title":"Logo"}]},"description":{"type":"string","example":"Extended display description"},"background_color":{"type":"string","example":"#ffffff"},"background_image":{"example":{"uri":"https://example.com/background.png"},"allOf":[{"type":"object","properties":{"uri":{"type":"string","example":"https://example.com/image.png"}},"required":["uri"],"title":"Image"}]},"text_color":{"type":"string","example":"#000000"}},"title":"ExtendedDisplay"}}},"required":["format","@context","credential_definition"],"title":"CredentialConfiguration"},"example":{"config-id":{"format":"jwt_vc_json","@context":["https://www.w3.org/2018/credentials/v1"],"scope":"openid","cryptographic_binding_methods_supported":["method1","method2"],"credential_signing_alg_values_supported":["RS256","ES256"],"proof_types_supported":{"example":{"proof_signing_alg_values_supported":["RS256"]}},"credential_definition":{"@context":["https://www.w3.org/2018/credentials/v1"],"type":["VerifiableCredential"],"credentialSubject":{"id":{"mandatory":true,"value_type":"string","display":[{"name":"ID","locale":"en-US"}]}}},"display":[{"name":"Extended Display Name","locale":"en-US","description":"Extended display description","background_color":"#ffffff","background_image":{"uri":"https://example.com/background.png"},"text_color":"#000000","logo":{"uri":"https://example.com/logo.png","alt_text":"Logo alt text"}}]}}}},"required":["credential_issuer","credential_endpoint","credential_configurations_supported"],"title":"CredentialIssuerMetadata"}}
  schemaType={"response"}
>
  
</Schema>
            